# Danh mục sản phẩm

* /api/product/category: Tính năng này được sử dụng để lấy toàn bộ danh mục sản phẩm trên Nhanh.vn.
* Danh mục sản phẩm thường rất ít khi bị thay đổi, bạn có thể lấy dữ liệu và cache khoảng 24h (và có chức năng để user có thể xóa cache, để lấy dữ liệu mới nhất khi cần) giúp giảm tải việc gọi API.

## Request

* Xem các [common request params](/v2/readme.md#request-params)
* Fixed **dataString** = "productcategory"

## Response

* JSON decode the response to get the structure:

| Key      | Type  | Description                                   |
| -------- | ----- | --------------------------------------------- |
| code     | int   | 1 = success or 0 = failed                     |
| messages | array | is an array of error messages if code = 0     |
| data     | array | is an array of product category (multi-level) |

Mảng đệ quy toàn bộ danh mục của doanh nghiệp

```javascript
data = [
    // category 1
    [
        "id" => int, // ID danh mục
        "parentId" => int, // ID danh mục cha
        "code" => string, // Mã danh mục
        "name" => string, // Tên danh mục
        "order" => int, // Thứ tự
        "image" => string, // Link ảnh danh mục
        "content" => string, // Mô tả danh mục
        "status" => int // Trạng thái: 1 = Active, 2 = Inactive
        "childs" => [ // array mảng các danh mục con
            [
                "id" => int, // ID danh mục con
                "parentId" => int, // ID danh mục cha
                "code" => string, // Mã danh mục
                "name" => string, // Tên danh mục con
                "image" => string, // Link ảnh danh mục con
                "content" => string, // Mô tả danh mục con
                "status" => int // Trạng thái: 1 = Active, 2 = Inactive
                "childs" => [
                    
                ]
            ],
            ...
        ]
    ],
    // category 2
    // ...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v2/product/category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
